;;;; type-errors-numbers.interval.scm  -*- Scheme -*-

(module (type-errors-numbers interval)

(;export
  ;
  error-range
  ;
  error-interval
  error-closed-interval error-open-interval
  error-half-open-interval error-half-closed-interval)

(import scheme)
(import (chicken base))
(import (chicken type))
(import type-errors-basic)

(: error-range (* number number #!optional * -> noreturn))

(: error-interval (* * * number number * #!optional * -> noreturn))
(: error-closed-interval (* * number number #!optional * -> noreturn))
(: error-open-interval (* * number number #!optional * -> noreturn))
(: error-half-open-interval (* * number number #!optional * -> noreturn))
(: error-half-closed-interval (* * number number #!optional * -> noreturn))

(include "type-errors-numbers.interval.impl")

) ;module (type-errors-numbers interval)
